%define libname_orig lib%{name}
%define libname %mklibname %{name} 2
%define develname %mklibname -d %{name}

%define name    katapult
%define version 0.3.2.1
%define release %mkrel 1

Summary:        Application launcher
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL 
Group:          Graphical desktop/KDE
URL:            http://katapult.kde.org/
Source0:        %name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Patch0:		katapult-fix-shortcut.patch
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:  kdelibs-devel

%description

Katapult is an application for KDE, written in C++, designed to 
allow faster access to applications, bookmarks, and other items. 
It is plugin-based, so it can launch anything that is has a plugin 
for. Its display is driven by plugins as well, so its appearance 
is completely customizable. It was inspired by Quicksilver for OS X.

%files -f %name.lang
%defattr(-,root,root,-)
%{_bindir}/katapult
%{_libdir}/kde3/katapult_*
%{_datadir}/servicetypes/katapult*
%{_datadir}/services/katapult*
%{_datadir}/applications/kde/katapult.desktop
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svgz
%{_iconsdir}/katapult.png
%{_liconsdir}/katapult.png
%{_miconsdir}/katapult.png

%dir %_docdir/HTML/en/katapult
%doc %_docdir/HTML/en/katapult/common
%doc %_docdir/HTML/en/katapult/index.cache.bz2
%doc %_docdir/HTML/en/katapult/index.docbook
%doc %_docdir/HTML/en/katapult/*.png

#------------------------------------------------

%package -n %{libname}
Summary:       %name  library
Group:          Graphical desktop/KDE
Provides:       %{libname_orig} = %{version}-%{release}
Requires:       %name = %version-%release

%description -n %{libname}
Library for %name

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkatapult.so.*

#------------------------------------------------


%package -n %{develname}
Summary:        Headers of %name for development
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{libname_orig}-devel = %{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libkatapult.la
%{_libdir}/libkatapult.so

#-------------------------------------------------

%prep
%setup  -q
%setup  -q -T -D -a1 
%patch0 -p0

%build
%configure
%make


%install
rm -rf %buildroot
%makeinstall


%__install -D -m 644 %{name}128.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}64.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}22.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf %buildroot


%changelog
* Fri Dec 07 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2.1-1mdv2008.1
+ Revision: 116103
- import katapult


